﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data.OleDb;
using System.Web.UI.WebControls;

namespace RestaurantV2
{
    public partial class MainPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            using (OleDbConnection oConn = new OleDbConnection(@"Provider=Microsoft.ACE.OLEDB.12.0;Data Source=N:\restaurant.accdb"))
            {
                oConn.Open();
                OleDbCommand oCommand = new OleDbCommand("Select "
                    + "t.TableDescription, b.BookingDate from Tables t, "
                    + "Bookings b where t.TableID = b.TableID "
                    + "and b.CustomerID=@customerID "
                    + "order by b.BookingDate asc", oConn);
                oCommand.Parameters.Add(new OleDbParameter("@customerID", (int)Session["userID"]));
                OleDbDataReader dr = oCommand.ExecuteReader();
                Table tbl = new Table();
                TableHeaderRow th = new TableHeaderRow();
                TableHeaderCell thc = new TableHeaderCell();
                thc.Text = "Table booked";
                th.Cells.Add(thc);
                thc = new TableHeaderCell();
                thc.Text = "Date of booking";
                th.Cells.Add(thc);
                tbl.Rows.Add(th);
                TableRow tr;
                TableCell tc;
                while (dr.Read())
                {
                    tr = new TableRow();
                    tc = new TableCell();
                    tc.Text = dr.GetString(0);  //Table description, column 0 of requested data
                    tr.Cells.Add(tc);
                    tc = new TableCell();
                    tc.Text = dr.GetDateTime(1).ToShortDateString();    //Date, column 1
                    tr.Cells.Add(tc);
                    tbl.Rows.Add(tr);
                }
                dr.Close();
                oConn.Close();
                CONTENTDIV.Controls.Add(tbl);//CONTENTDIV defined in HTML page
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Response.Redirect("MakeBooking.aspx");
        }
    }
}